Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.rules
Class JboMethodValidator

`java.lang.Object
oracle.jbo.server.rules.JboMethodValidator`

All Implemented Interfaces:
  java.util.EventListener, JbiValidator, oracle.jbo.server.util.VetoableChangeListener

public class JboMethodValidator
extends java.lang.Object
implements JbiValidator

A validator that tests values by passing them to a validation method.

The validation method must be public, take a single `Object` parameter and return `Boolean`.

Since:
  Jdeveloper 3.0

Constructor Summary
`JboMethodValidator()` Creates a validator without assigning its validation method.
`JboMethodValidator(java.lang.String methodName, java.lang.Class entityClz, java.lang.Class clz)` Creates a validator given the name of the validation method.

Method Summary
`java.lang.String` | `getDescription()` Gets the textul description of this validator.
`java.lang.reflect.Method` | `getMethod()` Gets the method invoked by this validator.
`java.lang.String` | `getMethodName()` Gets the name of the method invoked by this validator.
`void` | `setDescription(java.lang.String description)` Sets the textul description of this validator.
`void` | `setMethodName(java.lang.String mthName)` Sets the name of the method invoked by this validator.
`java.lang.String` | `toString()` Internal: For debugging purposes only.
`boolean` | `validateValue(java.lang.Object value)` Validate an object by passing it to the validation method.
`void` | `vetoableChange(oracle.jbo.server.util.PropertyChangeEvent evObj)` Invokes `validateValue()` on a value contained in a constrained property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JboMethodValidator

    public JboMethodValidator()

  Creates a validator without assigning its validation method.

### JboMethodValidator

    public JboMethodValidator(java.lang.String methodName,
                              java.lang.Class entityClz,
                              java.lang.Class clz)

  Creates a validator given the name of the validation method.
Parameters:
  `methodName` - the name of a Java method. The method must be public, take a single `Object` parameter and return `Boolean`.

Method Detail

### vetoableChange

    public void vetoableChange(oracle.jbo.server.util.PropertyChangeEvent evObj)

  Invokes `validateValue()` on a value contained in a constrained property.
  Specified by:
    `vetoableChange` in interface `oracle.jbo.server.util.VetoableChangeListener`
  Parameters:
    `evObj` - a `PropertyChangeEvent()` containing a property to be validated.
  Throws:
    `JboException` - if validation fails.

### validateValue

    public boolean validateValue(java.lang.Object value)
                          throws JboException

  Validate an object by passing it to the validation method.
  Specified by:
    `validateValue` in interface `JbiValidator`
  Parameters:
    `value` - the object to be validated.
  Returns:
    `false` if the validation method cannot be found or if the validation method throws an exception that is not a instance of `JboException`. Otherwise, pass on the boolean value returned by the validation method.
  Throws:
    `JboException` - if the validation method throws an instance of `JboException`.

### setMethodName

    public void setMethodName(java.lang.String mthName)

  Sets the name of the method invoked by this validator.
  Parameters:
    `mthName` - the name of a Java method. The method must be public, take a single `Object` parameter and return `Boolean`.

### getMethodName

    public java.lang.String getMethodName()

  Gets the name of the method invoked by this validator.
  Returns:
    the name of a Java method.

### getMethod

    public java.lang.reflect.Method getMethod()

  Gets the method invoked by this validator.
  Returns:
    a `method` object, a description of a Java method.

### toString

    public java.lang.String toString()

  Internal: For debugging purposes only.

### getDescription

    public java.lang.String getDescription()

  Gets the textul description of this validator.
  Specified by:
    `getDescription` in interface `JbiValidator`
  Returns:
    a documentation string.

### setDescription

    public void setDescription(java.lang.String description)

  Sets the textul description of this validator.
  Specified by:
    `setDescription` in interface `JbiValidator`
  Parameters:
    `description` - a documentation string.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.